.canvas-megamenu__container {
    visibility: hidden;
    opacity: 0;
    position: absolute;
    left: 0;
    top: 100%;
    right: 0;
    transition: all .25s;

    @media (max-width: @screen-sm-max) {
        display: none;
    }

    ul {
        position: relative;
        padding: 0;
        margin: 0;
        list-style-type: none;

        li a {
            color: @nav-link-color-inverse;
            display: block;
        }
    }
}

ul.canvas-nav__category-menu-items li.is-open {
    > .canvas-megamenu__container {
        visibility: visible;
        opacity: 1;
    }
}

.canvas-megamenu__content {
    padding: @grid-gutter-width/2 @grid-gutter-width/2 @grid-gutter-width*1.5 @grid-gutter-width/2;
    display: flex;
    flex-wrap: nowrap;
    max-width: 100%;

    > ul {
        flex-basis: 0;
        flex-shrink: 1;
        flex-grow: 1;
        display: flex;
        flex-wrap: wrap;
        margin-right: @grid-gutter-width*1.5;
        @media screen and (max-width:1600px){
            margin-right: 0;
        }

        > li {
            flex: 0.125;
            display: block;
            margin-right: 30px;
            margin-top: 15px;
        }

        .level-1 {
            > a {
                text-transform: uppercase;
                display: block;
                margin-bottom: @grid-gutter-width/2;
                font-weight: 700;
                font-family: @headings-font-family;
            }

            li a {
                display: block;
                line-height: 1.1;
                padding: 5px 0;
                margin-bottom: 7px;
                font-size: @font-size-small;
                font-weight: 500;
            }
        }
    }

    .canvas-megamenu__category-image {
        flex-basis: 400px;

        img {
            max-width: 100%;
        }
    }
}

.canvas-megamenu__bg {
    max-height: 800px;
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    background-color: @megamenu-bg;
    z-index: 0;
    transition: all .15s ease-in-out;
    height: 0;

    @media (max-width: @screen-sm-max) {
        display: none;
    }
}
